﻿#include <unistd.h>
#include <fstream>
#include "aubo_sdk/rpc.h"
#include "aubo_sdk/script.h"
using namespace arcs::common_interface;
using namespace arcs::aubo_sdk;
using namespace std;

// 本示例程序需要发送一个可运行的脚本到arcs控制器,example/c++中test_io.lua文件是提供的一个脚本，运行程序前先将test_io.lua拷贝到可执行程序所在路径，然后运行example_script可执行程序，输入lua脚本名字(test_io.lua)
// 运行前请注意机械臂周围无障碍物并且安全,遇到紧急情况按下急停按钮

#define LOCAL_IP "127.0.0.1"

int main(int argc, char **argv)
{
    auto rpc = std::make_shared<RpcClient>();
    rpc->connect(LOCAL_IP, 30004);
    rpc->login("aubo", "123456");

    auto script = std::make_shared<ScriptClient>();
    script->connect(LOCAL_IP, 30002);
    script->login("aubo", "123456");

    char file_name[20];
    cin >> file_name;

    ifstream file;
    file.open(file_name);
    if (!file) {
        cout << "open fail." << endl;
        exit(1);
    }

    std::string str_all;
    while (!file.eof()) {
        std::string str_line;
        getline(file, str_line);
        str_all += str_line;
        str_all += "\n";
    }
    str_all += "\r\n\r\n";
    cout << "脚本内容:" << endl << str_all << endl;
    file.close();

    rpc->getRuntimeMachine()->abort();
    script->sendString(str_all);

    while (1) {
        usleep(1000 * 1000 * 1);
    }

    return 0;
}
